[Mondo-devel] Installing on CentOS 5

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mondo-devel] Installing on CentOS 5

Jakes de Klerk

Hi,

I’m having trouble installing mindi on Centos 5. I’m using the mondorescue.repo file with baseurl=ftp://ftp.mondorescue.org//rhel/5/x86_64. There is a missing dependency for “perl(Module::Build::ModuleInfo)” and “perl(version)”. I cannot find these rpms on any Centos 5 RPM sites.

 

# yum install mindi

Loaded plugins: fastestmirror, security

Loading mirror speeds from cached hostfile

* base: mirror.us.leaseweb.net

* extras: mirror.us.leaseweb.net

* updates: mirror.us.leaseweb.net

Setting up Install Process

Resolving Dependencies

--> Running transaction check

---> Package mindi.x86_64 0:3.0.2-1.rhel5 set to be updated

--> Processing Dependency: perl-Module-ScanDeps for package: mindi

--> Processing Dependency: perl(Module::ScanDeps) for package: mindi

--> Running transaction check

---> Package perl-Module-ScanDeps.noarch 0:0.95-1.el5.rf set to be updated

--> Processing Dependency: perl(version) for package: perl-Module-ScanDeps

--> Processing Dependency: perl(Module::Build::ModuleInfo) for package: perl-Module-ScanDeps

--> Finished Dependency Resolution

perl-Module-ScanDeps-0.95-1.el5.rf.noarch from mondorescue has depsolving problems

  --> Missing Dependency: perl(Module::Build::ModuleInfo) is needed by package perl-Module-ScanDeps-0.95-1.el5.rf.noarch (mondorescue)

perl-Module-ScanDeps-0.95-1.el5.rf.noarch from mondorescue has depsolving problems

  --> Missing Dependency: perl(version) is needed by package perl-Module-ScanDeps-0.95-1.el5.rf.noarch (mondorescue)

Error: Missing Dependency: perl(Module::Build::ModuleInfo) is needed by package perl-Module-ScanDeps-0.95-1.el5.rf.noarch (mondorescue)

Error: Missing Dependency: perl(version) is needed by package perl-Module-ScanDeps-0.95-1.el5.rf.noarch (mondorescue)

You could try using --skip-broken to work around the problem

You could try running: package-cleanup --problems

                        package-cleanup --dupes

                        rpm -Va --nofiles --nodigest

The program package-cleanup is found in the yum-utils package.

 

Regards,

Jakes de Klerk

 

email [hidden email]

mobile +27 76 251 0074 | office +27 21 852 8497 | skype jakes.deklerk.bluukipepeo

 


------------------------------------------------------------------------------

_______________________________________________
Mondo-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mondo-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Mondo-devel] Installing on CentOS 5

Bruno Cornec-4
Hello,

Jakes de Klerk said on Thu, Sep 15, 2016 at 02:55:38PM +0200:
>There is a missing dependency for "perl(Module::Build::ModuleInfo)" and
>"perl(version)". I cannot find these rpms on any Centos 5 RPM sites.

Humm. I've added the rpmforge version of perl-Module-Build to my repo:
ftp://ftp.mondorescue.org/rhel/5/x86_64/perl-Module-Build-0.3607-1.el5.rf.noarch.rpm

So you can rpm -ivh i before (next time I rebuild indexes it will be there).

Howeevr, I'm unsure of what is needed to fix the version dependency you
mention. Let me know if the perl-Module-Build-0.3607-1.el5.rf.noarch.rpm
is sufficient to solve your issue.

Best regards,
Bruno.
--
Open Source Profession, WW Linux Community Lead     http://www.hpintelco.net
HPE EMEA EG FLOSS Technology Strategist http://www.hpe.com/engage/opensource
FLOSS projects:    http://mondorescue.org         http://project-builder.org
Musique ancienne?   http://www.musique-ancienne.org  http://www.medieval.org

------------------------------------------------------------------------------
_______________________________________________
Mondo-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mondo-devel
Loading...